/**
 * The default chaining behavior can be implemented inside a base handler class.
 */
export class TsxRenderMiddleware {
    setNext(next) {
        this.next = next;
        return next;
    }
    createElement(context) {
        if (this.next) {
            return this.next.createElement(context);
        }
        return context;
    }
    async render(context) {
        if (this.next) {
            return this.next.render(context);
        }
        return context;
    }
}
//# sourceMappingURL=tsx-render.middleware.js.map